@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body{
    font-family: Montserrat, Lato, Arial, Helvetica, sans-serif;
}


.animate{ transition: 0.5s ease; }
.animated{ transition: 0.5s ease; }









#loader{
    z-index: 2147483647;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    -webkit-box-shadow: 0 0 40px #00000040;
            box-shadow: 0 0 40px #00000040;
    -webkit-transition: 1s ease;
    -o-transition: 1s ease;
    transition: 1s ease;
}

#loader-container{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    background-color: white;
    width: 100vw;
    height: 100vh;
}

#loader img{
    width: 30%;
    max-width: 120px;
}







#header{
    padding: 20px 10%;
    height: 100px;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
    z-index: 1000000;
    box-shadow: 0 0 30px #00000000;
    transition: 0.5s ease;
}

#header.isSticky{
    background-color: #ffffff;
    box-shadow: 0 0 40px #00000040;
}


#header-logo{
    text-decoration: none;
    color: #000000;
}

#header-menu{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

#header-menu a{
    font-size: 18px;
    text-decoration: none;
    color: #000000;
    font-weight: 500;
    display: block;
    position: relative;
}

#header-menu a::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: -7px;
    width: 100%;
    transform-origin: center right;
    transform: scaleX(0);
    background-color: #000000;
    height: 2px;
    transition: transform 0.5s ease;
}

#header-menu a:hover::before{
    transform-origin: center left;
    transform: scaleX(1);
}

#header-menu a:last-of-type{
    padding: 10px 30px;
    font-size: 16px;
    border: 2px solid #000000;
    transition: 0.5s ease;
}

#header-menu a:last-of-type:hover{
    color: white;
}

#header-menu a:last-of-type::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    transform-origin: center right;
    transform: scaleX(0);
    background-color: #000000;
    z-index: -10;
    transition: transform 0.5s ease;
}

#header-menu a:last-of-type:hover::before{
    transform-origin: center left;
    transform: scaleX(1);
}

#header-menu i{
    font-size: 30px;
    cursor: pointer;
    display: none;
}










#menu{
    position: fixed;
    top: 0;
    right: 0;
    z-index: 10000000000000;
    background-color: white;
    height: 100vh;
    width: 80%;
    max-width: 300px;
    box-shadow: 0 0 30px #00000000;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-flow: column;
    padding: 20px;
    transition: 0.5s ease;
    right: -300px;
}

#menu i{
    font-size: 30px;
    align-self: flex-end;
    margin-bottom: 30px;
    cursor: pointer;
}

#menu a{
    display: block;
    color: black;
    padding: 20px 0;
    font-size: 20px;
    text-decoration: none;
}











#footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
    padding: 50px 10%;
    background-color: #000000;
    color: #ffffff;
}

#footer-left{
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-flow: column;
    gap: 30px;
    max-width: 500px;
    width: 100%;
}

#footer-left-logo{
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-flow: column;
    gap: 5px;
}

/* 
#footer-left-logo img{
    max-height: 80px;
} */

#footer-left-logo span{
    font-size: 40px;
}

#footer-left-links{
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    gap: 10px;
}

#footer-left-links a{
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    width: 60px;
    aspect-ratio: 1/1;
    text-decoration: none;
    border: 1px solid #ffffff80;
    border-radius: 200px;
    color: white;
    transition: 0.5s ease;
}

#footer-left-links a:hover{
    background-color: white;
    color: #050505;
}

#footer-left em{
    display: block;
    justify-self: flex-end;
    margin-top: auto;
    color: #ffffff80;
    font-style: normal;
}

#footer-right{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 30px;
}

.footer-right-list span{
    font-size: 30px;
    font-weight: 600;
}

.footer-right-list ul{
    list-style-type: none;
}

.footer-right-list a{
    color: #ffffff80;
    text-decoration: none;
    transition: 0.3s ease;
}

.footer-right-list a:hover{
    color: #ffffff;
}

@media screen and (max-width: 1000px) {
    footer{
        flex-flow: column;
        justify-content: flex-start;
        align-items: flex-start;
    }
}
@media screen and (max-width: 500px) {
    #footer-right{
        width: 100%;
        display: grid;
        grid-template-columns: repeat(1,1fr);
        gap: 30px;
    }
}












#banner{
    background-color: #ffffff;
    color: #000000;
    position: relative;
    padding: 100px clamp(20px, 10%, 10%);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#banner-text{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column;
    gap: 40px;
    max-width: 900px;
}

#banner-text hr{
    width: 100%;
    max-width: 100px;
    border: 4px solid #000000;
}

#banner-text h2{
    font-size: 65px;
}

#banner-text p{
    font-size: 20px;
}

#banner-link{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    aspect-ratio: 1/1;
}

#banner-link a{
    color: #000000;
    font-size: 100px;
    padding: 60px;
    transition: 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}

#banner-link a:hover{
    transform: translateX(20px);
}












@media screen and (max-width: 1150px) {
    #header{
        padding: 20px 5%;
    }
    #header-menu a{
        display: none;
    }
    #header-menu i{
        display: block;
    }
}

@media screen and (max-width: 600px) {
    #banner{
        flex-flow: column;
    }
}








#banner-text.animate{
    transform: translateX(-70px);
    opacity: 0;
}
#banner-link.animate{
    transform: translateX(70px);
    opacity: 0;
}